PUT api/FundManagement/UpdateFund
Updates fund details. All fields can be edited.
Request Information
URI Parameters
None.
Body Parameters
UpdateFundRequest| Name | Description | Type | Additional information |
|---|---|---|---|
| id | integer |
None. |
|
| fundName | string |
None. |
|
| fundDescription | string |
None. |
|
| assetUnderManagment | decimal number |
None. |
|
| investors | integer |
None. |
|
| ytd | decimal number |
None. |
|
| managementFee | decimal number |
None. |
|
| profitFee | decimal number |
None. |
Request Formats
application/json, text/json
Sample:
{
"id": 1,
"fundName": "sample string 2",
"fundDescription": "sample string 3",
"assetUnderManagment": 1.0,
"investors": 4,
"ytd": 5.0,
"managementFee": 1.0,
"profitFee": 1.0
}
application/x-www-form-urlencoded
Sample:
Sample not available.
Response Information
Resource Description
ActionResultNone.
Response Formats
application/json, text/json
Sample:
Sample not available.